Bug 444798 - [PATCH] %post funnies (NetworkManagerDispatcher)
[PATCH] %post funnies (NetworkManagerDispatcher)
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-30 13:15 EDT by Bill Nottingham
Modified: 2014-03-16 23:14 EDT (History)
3 users (show)

See Also:
Fixed In Version: 0.7.0-0.6.9.svn3675.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-09 17:47:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
properly handle NMD not being a service any more (913 bytes, patch)
2008-04-30 13:15 EDT, Bill Nottingham
no flags Details | Diff

  None (edit)
Description Bill Nottingham 2008-04-30 13:15:19 EDT
Description of problem:

NMD moved to a dbus callout, but you still try and set up the script, and remove
it in %postun, without actually removing it cleanly.

Version-Release number of selected component (if applicable):

NetworkManager-0.7.0-0.9.2.svn3622.fc9.x86_64
Comment 1 Bill Nottingham 2008-04-30 13:15:19 EDT
Created attachment 304258 [details]
properly handle NMD not being a service any more
Comment 2 Dan Williams 2008-04-30 16:16:58 EDT
thanks
Comment 3 Andrew Duggan 2008-04-30 16:31:19 EDT
Shouldn't that %trigger also stop the Dispatcher service?

+%triggerun -- NetworkManager < 1:0.7.0-0.9.2.svn3614
+/sbin/service NetworkManagerDispatcher stop >/dev/null 2>&1
+/sbin/chkconfig --del NetworkManagerDispatcher
+exit 0
+
Comment 4 Fedora Update System 2008-05-19 11:46:42 EDT
NetworkManager-0.7.0-0.6.8.svn3669.fc8 has been submitted as an update for Fedora 8
Comment 5 Fedora Update System 2008-07-09 17:47:07 EDT
NetworkManager-0.7.0-0.6.9.svn3675.fc8, NetworkManager-openvpn-0.7.0-10.svn3632.fc8, NetworkManager-vpnc-0.7.0-0.7.7.svn3627.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.